package com.hfkj.sysenum.order;

import lombok.Getter;

/**
 * @className: OrderChildStatusEnum
 * @author: HuRui
 * @date: 2024/5/6
 **/
@Getter
public enum OrderGoodsStatusEnum {
    /**
     * 待发货
     */
    status1(1, "待发货"),

    /**
     * 已发货
     */
    status2(2, "已发货"),

    /**
     * 配送中
     */
    status3(3, "配送中"),

    /**
     * 已送达
     */
    status4(4, "已送达"),

    /**
     * 已取消
     */
    status5(5, "已取消"),

    /**
     * 退货中
     */
    status6(6, "退货中"),
    /**
     * 已退货
     */
    status7(7, "已退货"),
    /**
     * 待支付
     */
    status8(8, "待支付"),
    ;

    private final int code;

    private final String name;


    OrderGoodsStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
